import type { DeepLinkData, Dictionary, Queue, Settable, Storage, Watchable } from '../storage';
import type { Context, DeepPartial, DestinationFilters, IntegrationSettings, RoutingRule, HightouchAPIConsentSettings, HightouchAPIIntegrations, HightouchEvent, UserInfoState } from '../types';
export type StoreData = {
    isReady: boolean;
    context?: DeepPartial<Context>;
    settings: HightouchAPIIntegrations;
    consentSettings?: HightouchAPIConsentSettings;
    filters: DestinationFilters;
    userInfo: UserInfoState;
    deepLinkData: DeepLinkData;
    pendingEvents: HightouchEvent[];
};
export declare function createMockStoreGetter<T>(fn: () => T): import("../storage").getStateFunc<T>;
export declare class MockHightouchStore implements Storage {
    private data;
    private initialData;
    reset: () => void;
    constructor(initialData?: Partial<StoreData>);
    private callbacks;
    readonly isReady: {
        get: import("../storage").getStateFunc<boolean>;
        onChange: (_callback: (value: boolean) => void) => () => void;
    };
    readonly context: Watchable<DeepPartial<Context> | undefined> & Settable<DeepPartial<Context>>;
    readonly settings: Watchable<HightouchAPIIntegrations | undefined> & Settable<HightouchAPIIntegrations> & Dictionary<string, IntegrationSettings, HightouchAPIIntegrations>;
    readonly consentSettings: Watchable<HightouchAPIConsentSettings | undefined> & Settable<HightouchAPIConsentSettings | undefined>;
    readonly filters: Watchable<DestinationFilters | undefined> & Settable<DestinationFilters> & Dictionary<string, RoutingRule, DestinationFilters>;
    readonly userInfo: Watchable<UserInfoState> & Settable<UserInfoState>;
    readonly deepLinkData: {
        get: import("../storage").getStateFunc<DeepLinkData>;
        set: (value: DeepLinkData) => void;
        onChange: (callback: (value: DeepLinkData) => void) => () => void;
    };
    readonly pendingEvents: Watchable<HightouchEvent[]> & Settable<HightouchEvent[]> & Queue<HightouchEvent, HightouchEvent[]>;
}
//# sourceMappingURL=mockHightouchStore.d.ts.map